log4j.rootLogger=warn, stdout

log4j.appender.stdout=org.apache.log4j.ConsoleAppender
log4j.appender.stdout.layout=org.apache.log4j.PatternLayout
log4j.appender.stdout.layout.ConversionPattern=%d %p [%c] - <%m> (%x) %n



### WaveMaker loggers



## Service

# Log progress while generating service class 
#log4j.logger.com.wavemaker.service.codegen=debug


## DataService: runtime

# Transactions
#
# WARN - log out-of-sequence transaction begin/commit/rollback calls
# For example, calling commit explicitly when no transaction is running
#
# INFO - log when we're about to run work using Spring's Transaction Template.
# also log calls to DataServiceManager begin/commit/rollback 
# (before any work has been done)
#
# DEBUG - also log a stack trace for all log messages
#
log4j.logger.com.wavemaker.runtime.fileController=warn


log4j.logger.com.wavemaker.runtime.data.tx=warn

# EventListener
#
# INFO - log startRequest/endRequest events
log4j.logger.com.wavemaker.runtime.data.event=warn

# DataService work
#
# logs information about runtime behavior
log4j.logger.com.wavemaker.runtime.data.work=warn

# DataService metadata logger
# 
# DEBUG - log info about backing metadata
log4j.logger.com.wavemaker.data.metadata=warn

# DataService connection logger, for custom DataSource implementations
# 
# DEBUG - log info about connection acquisition
log4j.logger.com.wavemaker.data.connection=warn


## DataService: design time and tools


# Parser
#
log4j.logger.com.wavemaker.tools.data.parser=warn

# Import Database logger
log4j.logger.com.wavemaker.tools.data.importdb=warn


## WebService: design time and tools

log4j.logger.com.wavemaker.tools.ws=warn


## Server

# JSONRPCController
#
# INFO - log method invocations
# DEBUG - log method parameters, returns
log4j.logger.com.wavemaker.runtime.server=warn

# module debugging
#
# INFO - loading messages
log4j.logger.com.wavemaker.runtime.module=warn

# service debugging
#
# INFO - loading messages
log4j.logger.com.wavemaker.runtime.service=warn

# default tools (design-time) logging
#
# INFO - extra messages
log4j.logger.com.wavemaker.tools=warn

# logging for CloudFoundry upload
log4j.logger.com.wavemaker.tools.deployment.cloudfoundry=info


### 3rdparty loggers


## Spring

log4j.category.org.springframework=warn

# Spring ClassUtils
#log4j.logger.org.springframework.util.ClassUtils=warn

log4j.category.org.springframework.web.servlet.view=warn




## Hibernate 

log4j.logger.org.hibernate=warn

log4j.logger.org.hibernate.connection.UserSuppliedConnectionProvider=error
log4j.logger.org.hibernate.cfg.SettingsFactory=error

# log just the SQL
#log4j.logger.org.hibernate.SQL=debug

# log JDBC bind parameters 
#log4j.logger.org.hibernate.type=debug

# log HQL query parser activity
#log4j.logger.org.hibernate.hql.ast.AST=warn

# log schema export/update
#log4j.logger.org.hibernate.tool.hbm2ddl=debug

# log HQL parse trees
#log4j.logger.org.hibernate.hql=debug

# log cache activity
#log4j.logger.org.hibernate.cache=debug

# log transaction activity
#log4j.logger.org.hibernate.transaction=debug

# log JDBC resource acquisition
#log4j.logger.org.hibernate.jdbc=debug

# enable the following line if you want to track down connection 
# leakages when using DriverManagerConnectionProvider 
#log4j.logger.org.hibernate.connection.DriverManagerConnectionProvider=trace

# log database import 
#log4j.logger.org.hibernate.cfg.reveng=debug



## Acegi

#log4j.logger.org.acegisecurity=debug

# log LDAP provider
#log4j.logger.org.acegisecurity.providers.ldap=debug
